import { DomSanitizer, SafeHtml } from '@angular/platform-browser';
import { DomAttr } from './../../commons/extends/attr.class';
import { ControlValueAccessor } from '@angular/forms';
export declare class ButtonsComponent extends DomAttr implements ControlValueAccessor {
    private domSanitizer;
    items: {
        value: any;
        content: string;
    }[];
    multi: boolean;
    private value;
    applyChange: (value: any) => void;
    constructor(domSanitizer: DomSanitizer);
    readonly buttons: {
        value: any;
        content: SafeHtml;
    }[];
    writeValue(value: any): void;
    registerOnChange(fn: any): void;
    registerOnTouched(fn: any): void;
    toggle(btn: {
        value: any;
        content: SafeHtml;
    }): void;
    removeMutiValue(value: any): void;
    isActive(value: any): boolean;
    multiActive(value: any): boolean;
}
