"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var attr_class_1 = require("./../../commons/extends/attr.class");
var CheckboxComponent = /** @class */ (function (_super) {
    __extends(CheckboxComponent, _super);
    function CheckboxComponent() {
        var _this = _super.call(this) || this;
        _this.checkedChange = new core_1.EventEmitter();
        _this.groupHandle = new core_1.EventEmitter();
        _this.checked = false;
        return _this;
    }
    CheckboxComponent.prototype.changeStatus = function () {
        this.checked = !this.checked;
        this.checkedChange.emit(this.checked);
        this.groupHandle.emit();
    };
    CheckboxComponent.prototype.ngOnDestroy = function () {
        this.checked = false;
        this.groupHandle.emit();
    };
    CheckboxComponent.decorators = [
        { type: core_1.Component, args: [{
                    selector: 'ts-checkbox',
                    template: "\n        <span (click)=\"changeStatus()\" class=\"pointer no-select {{textClass}}\">\n            <i *ngIf=\"!checked\" class=\"fa fa-square-o fa-fw fa-lg\"></i>\n            <i *ngIf=\"checked\" class=\"fa fa-check-square fa-fw fa-lg\"></i>\n        </span>\n        <span (click)=\"changeStatus()\" class=\"pointer no-select\">{{label||''}}</span>",
                },] },
    ];
    /** @nocollapse */
    CheckboxComponent.ctorParameters = function () { return []; };
    CheckboxComponent.propDecorators = {
        "label": [{ type: core_1.Input },],
        "value": [{ type: core_1.Input },],
        "checked": [{ type: core_1.Input },],
        "checkedChange": [{ type: core_1.Output },],
        "groupHandle": [{ type: core_1.Output },],
    };
    return CheckboxComponent;
}(attr_class_1.DomAttr));
exports.CheckboxComponent = CheckboxComponent;
//# sourceMappingURL=checkbox.component.js.map