import { ElementRef, AfterViewInit, EventEmitter, OnChanges } from '@angular/core';
import { HtmlDomService } from './../../commons/services/htmldom.service';
import { Toggle } from './../../commons/interfaces/toggle.interface';
export declare class CollapseDirective implements AfterViewInit, OnChanges, Toggle {
    private elementRef;
    private htmlDomService;
    open: boolean;
    stateChange: EventEmitter<boolean>;
    private pad;
    private isReady;
    constructor(elementRef: ElementRef, htmlDomService: HtmlDomService);
    ngOnChanges(): void;
    ngAfterViewInit(): void;
    collapseClose(): void;
    collapseOpen(): void;
    toggle(): void;
}
