"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var attr_class_1 = require("../../commons/extends/attr.class");
var CssloadComponent = /** @class */ (function (_super) {
    __extends(CssloadComponent, _super);
    function CssloadComponent() {
        return _super.call(this) || this;
    }
    CssloadComponent.decorators = [
        { type: core_1.Component, args: [{
                    selector: "ts-cssload",
                    exportAs: 'tsCssload',
                    template: "\n    <div class=\"loading\">\n        <div class=\"loading-center\">\n            <div class=\"loading-center-absolute\">\n                <div class=\"{{borderClass}} object object_four\"></div>\n                <div class=\"{{borderClass}} object object_three\"></div>\n                <div class=\"{{borderClass}} object object_two\"></div>\n                <div class=\"{{borderClass}} object object_one\"></div>\n            </div>\n        </div>\n    </div>",
                    styles: [
                        "\n        .loading {\n            height: 100%;\n            width: 100%;\n        }\n        .loading-center {\n            width: 100%;\n            height: 100%;\n            position: relative;\n        }\n        .loading-center-absolute {\n            position: absolute;\n            left: 50%;\n            top: 50%;\n            height: 200px;\n            width: 200px;\n            margin-top: -100px;\n            margin-left: -100px;\n        }\n        .object {\n            -moz-border-radius: 50% 50% 50% 50%;\n            -webkit-border-radius: 50% 50% 50% 50%;\n            border-radius: 50% 50% 50% 50%;\n            position: absolute;\n            border-left: 5px solid white;\n            border-right: 5px solid white;\n            border-top: 5px solid transparent !important;\n            border-bottom: 5px solid transparent !important;\n            -webkit-animation: animate 2s infinite;\n            animation: animate 2s infinite;\n        }\n        .object_one {\n            left: 75px;\n            top: 75px;\n            width: 50px;\n            height: 50px;\n        }\n        .object_two {\n            left: 65px;\n            top: 65px;\n            width: 70px;\n            height: 70px;\n            -webkit-animation-delay: 0.1s;\n            animation-delay: 0.1s;\n        }\n        .object_three {\n            left: 55px;\n            top: 55px;\n            width: 90px;\n            height: 90px;\n            -webkit-animation-delay: 0.2s;\n            animation-delay: 0.2s;\n        }\n        .object_four {\n            left: 45px;\n            top: 45px;\n            width: 110px;\n            height: 110px;\n            -webkit-animation-delay: 0.3s;\n            animation-delay: 0.3s;\n        }\n        @-webkit-keyframes animate {\n            50% {\n                -ms-transform: rotate(180deg);\n                -webkit-transform: rotate(180deg);\n                transform: rotate(180deg);\n            }\n            100% {\n                -ms-transform: rotate(0deg);\n                -webkit-transform: rotate(0deg);\n                transform: rotate(0deg);\n            }\n        }\n        @keyframes animate {\n            50% {\n                -ms-transform: rotate(180deg);\n                -webkit-transform: rotate(180deg);\n                transform: rotate(180deg);\n            }\n            100% {\n                -ms-transform: rotate(0deg);\n                -webkit-transform: rotate(0deg);\n                transform: rotate(0deg);\n            }\n        }\n       "
                    ]
                },] },
    ];
    /** @nocollapse */
    CssloadComponent.ctorParameters = function () { return []; };
    return CssloadComponent;
}(attr_class_1.DomAttr));
exports.CssloadComponent = CssloadComponent;
//# sourceMappingURL=cssload.component.js.map