"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var attr_class_1 = require("../../commons/extends/attr.class");
var MenuPushComponent = /** @class */ (function (_super) {
    __extends(MenuPushComponent, _super);
    function MenuPushComponent() {
        var _this = _super.call(this) || this;
        _this.itemClick = new core_1.EventEmitter();
        _this.items = new Array();
        _this.activeClass = 'active';
        return _this;
    }
    MenuPushComponent.prototype.goItem = function (item, index) {
        this.items.forEach(function (e) {
            if (e !== item) {
                e.active = false;
            }
        });
        item.active = true;
        this.itemClick.emit(item);
    };
    MenuPushComponent.decorators = [
        { type: core_1.Component, args: [{
                    selector: "ts-menu-push",
                    exportAs: 'tsMenuPush',
                    template: "<h3 class=\"mb-0\">\n        <button  *ngFor=\"let item of items;index as i\"\n            (click)=\"goItem(item,index)\"\n            class=\"{{btnClass}} btn-sm badge-pill ml-1 {{item.active?activeClass:''}}\">\n            <span>{{item.title}}</span>\n            <!--<span (click)=\"removeItem(i)\">x</span>-->\n        </button>\n    </h3>",
                },] },
    ];
    /** @nocollapse */
    MenuPushComponent.ctorParameters = function () { return []; };
    MenuPushComponent.propDecorators = {
        "items": [{ type: core_1.Input },],
        "activeClass": [{ type: core_1.Input },],
        "itemClick": [{ type: core_1.Output },],
    };
    return MenuPushComponent;
}(attr_class_1.DomAttr));
exports.MenuPushComponent = MenuPushComponent;
//# sourceMappingURL=menu-push.component.js.map