"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var common_module_1 = require("./../../commons/common.module");
var menu_component_1 = require("./menu.component");
var menu_push_component_1 = require("./menu-push.component");
var menu_push_service_1 = require("./menu-push.service");
var MenuModule = /** @class */ (function () {
    function MenuModule() {
    }
    MenuModule.forRoot = function () {
        return {
            ngModule: MenuModule,
            providers: [
                menu_push_service_1.MenuPushService,
            ]
        };
    };
    MenuModule.decorators = [
        { type: core_1.NgModule, args: [{
                    imports: [
                        common_module_1.CommonModule,
                    ],
                    declarations: [
                        menu_component_1.MenuComponent,
                        menu_push_component_1.MenuPushComponent,
                    ],
                    exports: [
                        common_module_1.CommonModule,
                        menu_component_1.MenuComponent,
                        menu_push_component_1.MenuPushComponent,
                    ]
                },] },
    ];
    return MenuModule;
}());
exports.MenuModule = MenuModule;
//# sourceMappingURL=menu.module.js.map