export declare class Pagination {
    total: number;
    page: number;
    limit: number;
    constructor(total?: number, page?: number, limit?: number);
    readonly offset: number;
    readonly pageData: {
        [key: string]: number;
    };
    readonly maxPage: number;
    getpageDataWith(params?: any): {
        limit: number;
        offset: number;
        [key: string]: string | number;
    };
    reset(): void;
    hasNext(): boolean;
    hasPrev(): boolean;
    hasPage(page: number): boolean;
    pageValid(): boolean;
    clone(): Pagination;
}
