import { EventEmitter } from '@angular/core';
import { Item } from './../../commons/interfaces/item.interface';
import { DomAttr } from '../../commons/extends/attr.class';
import { ControlValueAccessor } from '@angular/forms';
export declare class SelectComponent extends DomAttr implements ControlValueAccessor {
    title: string;
    searchKey: string;
    readonly: string;
    disabled: boolean;
    items: Array<string | number | {
        value: any;
        text: string;
    }>;
    placeholder: string;
    emptyLabel: string;
    optionChange: EventEmitter<any>;
    private value;
    applyChange: (value: any) => void;
    constructor();
    readonly itemsList: Array<Item>;
    readonly formatItems: Array<Item>;
    writeValue(value: any): void;
    registerOnChange(fn: any): void;
    registerOnTouched(fn: any): void;
    showActiveClass(item: Item): string;
    trackByValue(index: number, item: Item): number;
    setReadonlyStatus(status: boolean): void;
    setValue(item: Item): void;
    setSearchKey(value: string): void;
    setTitle(): void;
}
