import { EventEmitter, AfterViewInit, ElementRef } from '@angular/core';
import { Item } from './../../commons/interfaces/item.interface';
import { DomAttr } from '../../commons/extends/attr.class';
import { DropdownDirective } from '../dropdown/dropdown.directive';
import { ControlValueAccessor } from '@angular/forms';
export declare class SelectsComponent extends DomAttr implements AfterViewInit, ControlValueAccessor {
    private elementRef;
    items: Array<Item>;
    placeholder: string;
    emptyLabel: string;
    searchLabel: string;
    optionChange: EventEmitter<any>;
    dropdown: DropdownDirective;
    title: string;
    searchKey: string;
    activeItems: Array<Item>;
    private changeInside;
    private values;
    applyChange: (value: any) => void;
    constructor(elementRef: ElementRef);
    readonly searchItems: Item[];
    ngAfterViewInit(): void;
    writeValue(values: any): void;
    registerOnChange(fn: any): void;
    registerOnTouched(fn: any): void;
    cleanSearch(): void;
    setValue(item: Item): void;
    isActiveItem(item: Item): boolean;
}
