import { Injector, ApplicationRef, ComponentFactoryResolver } from '@angular/core';
import { ToastConfig } from './toast.interface';
export declare class ToastService {
    private applicationRef;
    private componentFactoryResolver;
    private config;
    private injector;
    private baseComponent;
    private windowCmptRef;
    constructor(applicationRef: ApplicationRef, componentFactoryResolver: ComponentFactoryResolver, config: ToastConfig, injector: Injector);
    private init();
    create(title: string, message: string, options: {
        color: string;
        timeout?: number;
    }): void;
    info(title: string, message: string, timer?: number): void;
    success(title: string, message: string, timer?: number): void;
    danger(title: string, message: string, timer?: number): void;
    warning(title: string, message: string, timer?: number): void;
}
