"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var InputImages = /** @class */ (function () {
    function InputImages(images) {
        if (images === void 0) { images = ''; }
        var _this = this;
        this.items = new Array();
        if (!!images) {
            images.split(',').forEach(function (url) {
                _this.items.push({ type: 'url', file: null, url: url, uploading: false });
            });
        }
    }
    Object.defineProperty(InputImages.prototype, "urls", {
        get: function () {
            var urls = new Array();
            this.items.forEach(function (e) {
                if (e.type === 'url') {
                    urls.push(e.url);
                }
            });
            return urls;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(InputImages.prototype, "files", {
        get: function () {
            var files = new Array();
            this.items.forEach(function (e) {
                if (e.type === 'file') {
                    files.push(e.file);
                }
            });
            return files;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(InputImages.prototype, "fileItems", {
        get: function () {
            var fileItems = new Array();
            this.items.forEach(function (e) {
                if (e.type === 'file') {
                    fileItems.push(e);
                }
            });
            return fileItems;
        },
        enumerable: true,
        configurable: true
    });
    InputImages.prototype.push = function (item) {
        this.items.push(item);
    };
    InputImages.prototype.remove = function (index) {
        this.items.splice(index, 1);
    };
    return InputImages;
}());
exports.InputImages = InputImages;
//# sourceMappingURL=input-images.class.js.map