import { ElementRef, AfterViewInit, OnChanges, SimpleChanges } from '@angular/core';
export declare class LineChartDirective implements AfterViewInit, OnChanges {
    private elementRef;
    private canvas;
    private chart;
    private type;
    private ready;
    datas: number[][];
    colors: {
        backgroundColor: string;
        borderColor: string;
        borderWidth: number;
    }[];
    labels: string[];
    xlabels: string[];
    options: {
        [key: string]: any;
    };
    constructor(elementRef: ElementRef);
    ngOnChanges(change: SimpleChanges): void;
    ngAfterViewInit(): void;
    updateChart(): void;
    toBase64Image(): string;
}
