import { ElementRef, AfterViewInit, OnChanges, SimpleChanges, EventEmitter, OnInit } from '@angular/core';
import { ScriptService } from './../../commons/services/script.service';
export declare class CkeditorComponent implements AfterViewInit, OnInit, OnChanges {
    private script;
    private srcs;
    editor: ElementRef;
    content: string;
    options: any;
    load: EventEmitter<any>;
    contentChange: EventEmitter<string>;
    private editroHandle;
    private textarea;
    private ready;
    constructor(script: ScriptService, srcs: string[]);
    ngOnChanges(change: SimpleChanges): void;
    ngOnInit(): void;
    ngAfterViewInit(): void;
    updateContent(): void;
}
