"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var common_1 = require("@angular/common");
var ckeditor_component_1 = require("./ckeditor.component");
var script_service_1 = require("./../../commons/services/script.service");
var CkeditorModule = /** @class */ (function () {
    function CkeditorModule() {
    }
    CkeditorModule.forRoot = function (srcs) {
        return {
            ngModule: CkeditorModule,
            providers: [
                { provide: 'CKEDITOR_SCRIPT_SRCS', useValue: srcs }
            ]
        };
    };
    CkeditorModule.decorators = [
        { type: core_1.NgModule, args: [{
                    imports: [
                        common_1.CommonModule
                    ],
                    declarations: [
                        ckeditor_component_1.CkeditorComponent,
                    ],
                    exports: [
                        common_1.CommonModule,
                        ckeditor_component_1.CkeditorComponent
                    ],
                    providers: [
                        script_service_1.ScriptService
                    ]
                },] },
    ];
    return CkeditorModule;
}());
exports.CkeditorModule = CkeditorModule;
//# sourceMappingURL=ckeditor.module.js.map