"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var common_1 = require("@angular/common");
var map_directive_1 = require("./map.directive");
var map_service_1 = require("./map.service");
var map_config_1 = require("./map.config");
var MapModule = /** @class */ (function () {
    function MapModule() {
    }
    MapModule.forRoot = function (appKey) {
        return {
            ngModule: MapModule,
            providers: [
                { provide: map_config_1.MapConfig, useValue: { appKey: appKey } },
                map_service_1.MapService,
            ]
        };
    };
    MapModule.decorators = [
        { type: core_1.NgModule, args: [{
                    imports: [
                        common_1.CommonModule
                    ],
                    declarations: [
                        map_directive_1.MapDirective
                    ],
                    exports: [
                        map_directive_1.MapDirective
                    ]
                },] },
    ];
    return MapModule;
}());
exports.MapModule = MapModule;
//# sourceMappingURL=map.module.js.map