import { QueryList, AfterViewInit, ChangeDetectorRef } from '@angular/core';
import { CheckboxComponent } from './checkbox.component';
import { ControlValueAccessor } from '@angular/forms';
export declare class CheckboxDirective implements AfterViewInit, ControlValueAccessor {
    private cdRef;
    private values;
    private isReady;
    checkboxList: QueryList<CheckboxComponent>;
    applyChange: (value: any) => void;
    constructor(cdRef: ChangeDetectorRef);
    ngAfterViewInit(): void;
    writeValue(value: any): void;
    registerOnChange(fn: any): void;
    registerOnTouched(fn: any): void;
    replyValue(): void;
    applyCheckboxChange(): void;
}
