import { QueryList, AfterViewInit, ChangeDetectorRef } from '@angular/core';
import { RadioComponent } from './radio.component';
import { ControlValueAccessor } from '@angular/forms';
export declare class RadiosDirective implements AfterViewInit, ControlValueAccessor {
    private cdRef;
    private value;
    private isReady;
    radioList: QueryList<RadioComponent>;
    applyChange: (value: any) => void;
    constructor(cdRef: ChangeDetectorRef);
    ngAfterViewInit(): void;
    replyValue(): void;
    writeValue(value: any): void;
    registerOnChange(fn: any): void;
    registerOnTouched(fn: any): void;
    applyRadioValue(): void;
    applyRadioChange(handle: {
        checked: boolean;
        value: any;
    }): void;
}
