"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var attr_class_1 = require("../../commons/extends/attr.class");
var TableLoadComponent = /** @class */ (function (_super) {
    __extends(TableLoadComponent, _super);
    function TableLoadComponent() {
        var _this = _super.call(this) || this;
        _this.label = '';
        _this.display = false;
        return _this;
    }
    TableLoadComponent.prototype.present = function () {
        this.display = false;
    };
    TableLoadComponent.prototype.dismiss = function () {
        this.display = true;
    };
    TableLoadComponent.decorators = [
        { type: core_1.Component, args: [{
                    selector: "ts-table-load",
                    exportAs: 'tsTableLoad',
                    template: "\n    <div *ngIf=\"display\" class=\"h-100 w-100 ts-loading\">\n        <div class=\"ts-loading-dom text-center w-100 {{textClass}}\">\n            <i class=\"fa fa-spinner fa-pulse fa-2x fa-fw\"></i>\n            <p *ngIf=\"label\">{{label}}</p>\n        </div>\n    </div>",
                    styles: [
                        ".ts-loading{\n            background-color:#ffffffb5;\n            position: absolute;\n            left:0;\n            top:0;\n        }\n        .ts-loading-dom{\n            position: absolute;\n            left:0;\n            top:40%;\n        }\n        "
                    ]
                },] },
    ];
    /** @nocollapse */
    TableLoadComponent.ctorParameters = function () { return []; };
    TableLoadComponent.propDecorators = {
        "label": [{ type: core_1.Input },],
        "display": [{ type: core_1.Input },],
    };
    return TableLoadComponent;
}(attr_class_1.DomAttr));
exports.TableLoadComponent = TableLoadComponent;
//# sourceMappingURL=table-load.component.js.map