import { EventEmitter } from '@angular/core';
import { MenuModel, MenuGroup, MenuItem } from './menu.interface';
import { DomAttr } from '../../commons/extends/attr.class';
export declare class MenuComponent extends DomAttr {
    items: MenuModel[];
    avatars: [string, string, string];
    config: any;
    menuActiveChange: EventEmitter<MenuItem>;
    readonly activeMainClass: string;
    readonly activeParentClass: string;
    readonly activeChildClass: string;
    constructor();
    toggleGroup(group: MenuGroup): void;
    toggleMenu(group: MenuGroup, itemIndex: number): void;
    setActive(menu: MenuItem): void;
    setAllInActive(): void;
}
