import { Injector, ApplicationRef, ComponentFactoryResolver, ComponentRef } from '@angular/core';
import { Observable } from 'rxjs';
export declare class ModalService {
    private applicationRef;
    private componentFactoryResolver;
    private injector;
    private show;
    private modalComponent;
    private baseComponent;
    private windowCmptRef;
    private containerEl;
    private handle;
    modal: ComponentRef<any>;
    constructor(applicationRef: ApplicationRef, componentFactoryResolver: ComponentFactoryResolver, injector: Injector);
    init(): void;
    create(content: any, options?: {
        size?: string;
        center?: boolean;
    }): ModalService;
    readonly instance: any;
    close(params?: any): void;
    dismiss(): void;
    open(): Observable<any>;
}
