"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var attr_class_1 = require("./../../commons/extends/attr.class");
var NavListDirective = /** @class */ (function (_super) {
    __extends(NavListDirective, _super);
    function NavListDirective() {
        var _this = _super.call(this) || this;
        _this.class = 'navbar-collapse collapse';
        _this.open = true;
        return _this;
    }
    NavListDirective.prototype.toggle = function () {
        this.class = "navbar-collapse " + (this.open ? 'show' : 'collapse');
        this.open = !this.open;
    };
    NavListDirective.decorators = [
        { type: core_1.Directive, args: [{
                    selector: '*[tsNavList]',
                    exportAs: 'tsNavList',
                },] },
    ];
    /** @nocollapse */
    NavListDirective.ctorParameters = function () { return []; };
    NavListDirective.propDecorators = {
        "class": [{ type: core_1.HostBinding, args: ['class',] },],
    };
    return NavListDirective;
}(attr_class_1.DomAttr));
exports.NavListDirective = NavListDirective;
//# sourceMappingURL=nav-list.directive.js.map