"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var common_module_1 = require("./../../commons/common.module");
var navbar_directive_1 = require("./navbar.directive");
var nav_brand_directive_1 = require("./nav-brand.directive");
var nav_list_directive_1 = require("./nav-list.directive");
var nav_breadcrumb_component_1 = require("./nav-breadcrumb.component");
var NavbarModule = /** @class */ (function () {
    function NavbarModule() {
    }
    NavbarModule.decorators = [
        { type: core_1.NgModule, args: [{
                    imports: [
                        common_module_1.CommonModule,
                    ],
                    declarations: [
                        navbar_directive_1.NavbarDirective,
                        nav_brand_directive_1.NavBrandDirective,
                        nav_list_directive_1.NavListDirective,
                        nav_breadcrumb_component_1.NavBreadcrumbComponent
                    ],
                    exports: [
                        common_module_1.CommonModule,
                        navbar_directive_1.NavbarDirective,
                        nav_brand_directive_1.NavBrandDirective,
                        nav_list_directive_1.NavListDirective,
                        nav_breadcrumb_component_1.NavBreadcrumbComponent
                    ]
                },] },
    ];
    return NavbarModule;
}());
exports.NavbarModule = NavbarModule;
//# sourceMappingURL=navbar.module.js.map