import { EventEmitter, AfterViewInit } from '@angular/core';
import { TabsDirective } from './tab.directive';
import { DomAttr } from './../../commons/extends/attr.class';
export declare class TabComponent extends DomAttr implements AfterViewInit {
    tabs: Array<string>;
    activeTab: string;
    position: string;
    target: TabsDirective;
    tabChange: EventEmitter<string>;
    ngAfterViewInit(): void;
    changeTab(tab: string): void;
}
