"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var TabsDirective = /** @class */ (function () {
    function TabsDirective(changeDetectorRef) {
        this.changeDetectorRef = changeDetectorRef;
    }
    TabsDirective.prototype.changeTab = function (tab) {
        this.tabs.forEach(function (e) {
            if (e.tab === tab) {
                e.setShow();
            }
            else {
                e.setHidden();
            }
        });
        this.changeDetectorRef.detectChanges();
    };
    TabsDirective.decorators = [
        { type: core_1.Directive, args: [{
                    selector: "*[tsTabs]",
                    exportAs: 'tsTabs'
                },] },
    ];
    /** @nocollapse */
    TabsDirective.ctorParameters = function () { return [
        { type: core_1.ChangeDetectorRef, },
    ]; };
    TabsDirective.propDecorators = {
        "tabs": [{ type: core_1.ContentChildren, args: [core_1.forwardRef(function () { return TabDirective; }),] },],
    };
    return TabsDirective;
}());
exports.TabsDirective = TabsDirective;
var TabDirective = /** @class */ (function () {
    function TabDirective() {
    }
    TabDirective.prototype.setHidden = function () {
        this.dispaly = 'none';
    };
    TabDirective.prototype.setShow = function () {
        this.dispaly = '';
    };
    TabDirective.decorators = [
        { type: core_1.Directive, args: [{
                    selector: "*[tsTab]",
                    exportAs: 'tsTab'
                },] },
    ];
    /** @nocollapse */
    TabDirective.propDecorators = {
        "tab": [{ type: core_1.Input },],
        "dispaly": [{ type: core_1.HostBinding, args: ['style.display',] },],
    };
    return TabDirective;
}());
exports.TabDirective = TabDirective;
//# sourceMappingURL=tab.directive.js.map