import { OnDestroy } from '@angular/core';
import { Toast } from './toast.class';
import { ToastConfig } from './toast.interface';
export declare class ToastComponent implements OnDestroy {
    private config;
    toasts: Toast[];
    maxLength: number;
    position: string;
    dValue: number;
    show: boolean;
    private timer;
    constructor(config: ToastConfig);
    addToast(toast: Toast): void;
    removeToast(toast: Toast): void;
    checkTimeOut(): void;
    ngOnDestroy(): void;
}
