"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var common_module_1 = require("./../../commons/common.module");
var toast_component_1 = require("./toast.component");
var toast_service_1 = require("./toast.service");
var ToastModule = /** @class */ (function () {
    function ToastModule() {
    }
    ToastModule.forRoot = function (config) {
        if (config === void 0) { config = { position: 'ts-bottom ts-right', timeout: 2000 }; }
        return {
            ngModule: ToastModule,
            providers: [
                toast_service_1.ToastService,
                { provide: 'DEFAULT_CONFIG', useValue: config }
            ]
        };
    };
    ToastModule.decorators = [
        { type: core_1.NgModule, args: [{
                    imports: [
                        common_module_1.CommonModule,
                    ],
                    declarations: [
                        toast_component_1.ToastComponent
                    ],
                    exports: [
                        common_module_1.CommonModule,
                        toast_component_1.ToastComponent,
                    ],
                    entryComponents: [
                        toast_component_1.ToastComponent,
                    ]
                },] },
    ];
    return ToastModule;
}());
exports.ToastModule = ToastModule;
//# sourceMappingURL=toast.module.js.map