import { SafeResourceUrl } from '@angular/platform-browser';
export declare class InputImages {
    items: Array<{
        type: string;
        file: File;
        url: string | SafeResourceUrl;
        uploading: boolean;
    }>;
    constructor(images?: string);
    readonly urls: string[];
    readonly files: File[];
    readonly fileItems: Array<{
        type: string;
        file: File;
        url: string | SafeResourceUrl;
        uploading: boolean;
    }>;
    push(item: {
        type: string;
        file: File;
        url: string | SafeResourceUrl;
        uploading: boolean;
    }): void;
    remove(index: number): void;
}
