import { ElementRef, AfterViewInit, OnChanges, SimpleChanges } from '@angular/core';
export declare class BaseChartDirective implements AfterViewInit, OnChanges {
    private elementRef;
    data: {
        [key: string]: any;
    };
    type: {
        [key: string]: any;
    };
    options: {
        [key: string]: any;
    };
    canvas: HTMLCanvasElement;
    chart: any;
    ready: boolean;
    constructor(elementRef: ElementRef);
    ngOnChanges(change: SimpleChanges): void;
    ngAfterViewInit(): void;
    updateChart(): void;
    toBase64Image(): string;
}
