import { ElementRef, OnInit, AfterViewInit, EventEmitter, OnDestroy } from '@angular/core';
import { ScriptService } from './../../commons/services/script.service';
export declare class BaseEchartDirective implements OnInit, AfterViewInit, OnDestroy {
    private script;
    private elementRef;
    private src;
    option: any;
    resize: boolean;
    chartLoad: EventEmitter<any>;
    private echart;
    constructor(script: ScriptService, elementRef: ElementRef, src: string);
    resizeChart: () => void;
    ngOnInit(): void;
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
}
