"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var common_1 = require("@angular/common");
var script_service_1 = require("./../../commons/services/script.service");
var echart_directive_1 = require("./echart.directive");
var EChartModule = /** @class */ (function () {
    function EChartModule() {
    }
    EChartModule.forRoot = function (src) {
        return {
            ngModule: EChartModule,
            providers: [
                { provide: 'ECHART_SCRIPT_SRC', useValue: src }
            ]
        };
    };
    EChartModule.decorators = [
        { type: core_1.NgModule, args: [{
                    imports: [
                        common_1.CommonModule
                    ],
                    declarations: [
                        echart_directive_1.BaseEchartDirective
                    ],
                    exports: [
                        common_1.CommonModule,
                        echart_directive_1.BaseEchartDirective
                    ],
                    providers: [
                        script_service_1.ScriptService
                    ]
                },] },
    ];
    return EChartModule;
}());
exports.EChartModule = EChartModule;
//# sourceMappingURL=echart.module.js.map